presageException.h File Reference
`#include <exception>`
`#include <string>`
Include dependency graph for presageException.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | PresageException

## Enumerations

enum | presage_error_code_t { PRESAGE_OK = 0, PRESAGE_ERROR, PRESAGE_TOKEN_PREFIX_MISMATCH_ERROR, PRESAGE_SMOOTHED_NGRAM_PREDICTOR_LEARN_ERROR, PRESAGE_CONFIG_VARIABLE_ERROR, PRESAGE_INVALID_CALLBACK_ERROR, PRESAGE_INVALID_SUGGESTION_ERROR, PRESAGE_INIT_PREDICTOR_ERROR, PRESAGE_SQLITE_OPEN_DATABASE_ERROR, PRESAGE_SQLITE_EXECUTE_SQL_ERROR }

## Enumeration Type Documentation

enum presage_error_code_t

Enumerator
PRESAGE_OK |
PRESAGE_ERROR |
PRESAGE_TOKEN_PREFIX_MISMATCH_ERROR |
PRESAGE_SMOOTHED_NGRAM_PREDICTOR_LEARN_ERROR |
PRESAGE_CONFIG_VARIABLE_ERROR |
PRESAGE_INVALID_CALLBACK_ERROR |
PRESAGE_INVALID_SUGGESTION_ERROR |
PRESAGE_INIT_PREDICTOR_ERROR |
PRESAGE_SQLITE_OPEN_DATABASE_ERROR |
PRESAGE_SQLITE_EXECUTE_SQL_ERROR |

Definition at line 32 of file presageException.h.